Bug 901766 - Deluge does not change torrent's store directory
Summary: Deluge does not change torrent's store directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-19 02:40 UTC by Adrián Reboreda Martínez
Modified: 2013-02-28 07:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 07:07:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 684128 None None None Never

Description Adrián Reboreda Martínez 2013-01-19 02:40:16 UTC
Description of problem:
When I add a torrent and try change the directory in which the file must be placed deluge does not make the change. This problem happens only when the dialogue to browse the directories is open, if I change the directory using the bookmarks that deluge displays when adding the torrent the change is made.

Version-Release number of selected component (if applicable):
deluge-1.3.5-2.fc18.noarch

How reproducible:


Steps to Reproduce:
1a. Add a .torrent file
2a. Go to options tab
3a. Scroll down the options about where put the download and select Other
4a. Use any folder except home dir as destination directory.

1b. Add a .torrent file and put the defaults options.
2b. Do secondary clic over the torrent information in the main window.
3b. In the options menu do clic in the option to move the torrent's store directory.
4b. Use any directory except home dir as destination directory.
  
Actual results:


Expected results:


Additional info:

I've deleted the ~/.config/deluge to ensure that is not a configuration file that has been corrupted in some way and even after doning that the results remains.

Comment 1 Calum 2013-01-28 12:50:23 UTC
This is a GTK bug, http://dev.deluge-torrent.org/ticket/2169 for more details.

Comment 2 Fedora Update System 2013-02-25 17:23:16 UTC
gnome-themes-standard-3.6.5-1.fc18,gtk2-2.24.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnome-themes-standard-3.6.5-1.fc18,gtk2-2.24.16-1.fc18

Comment 3 Fedora Update System 2013-02-27 02:45:22 UTC
Package gnome-themes-standard-3.6.5-1.fc18, gtk2-2.24.16-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-themes-standard-3.6.5-1.fc18 gtk2-2.24.16-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3155/gnome-themes-standard-3.6.5-1.fc18,gtk2-2.24.16-1.fc18
then log in and leave karma (feedback).

Comment 4 Adrián Reboreda Martínez 2013-02-27 04:17:43 UTC
I've updated the packages and these are the results:

If I download the torrent and change the location selecting the option "Other folder" I can change the location to any folder.

If I select the folder from the slide list instead of select "Other folder" the change has not effect and the torrent is downloaded to the default folder configured in Deluge's options.

If I move the downloaded file (secondary clic -> select storage folder) I cannot set the location, the file remains in the downloaded folder previously selected.

This bug is not fixed.

Comment 5 Fedora Update System 2013-02-28 07:07:48 UTC
gnome-themes-standard-3.6.5-1.fc18, gtk2-2.24.16-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.